> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1viewergetviewersettings



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Viewer//swagger/v1/swagger.json post /api/v1/Viewer/GetViewerSettings
openapi: 3.0.0
info:
  title: NDS.Services.Viewer
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Viewer/
security: []
paths:
  /api/v1/Viewer/GetViewerSettings:
    post:
      tags:
        - Viewer
      operationId: Viewer_GetViewerSettings
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetViewerSettingsRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetViewerSettingsResult'
components:
  schemas:
    GetViewerSettingsRequest:
      type: object
      additionalProperties: false
      properties:
        ViewerIds:
          type: array
          nullable: true
          items:
            type: string
            format: guid
    GetViewerSettingsResult:
      allOf:
        - $ref: '#/components/schemas/MultiValueResultOfSettingsResult'
        - type: object
          additionalProperties: false
    MultiValueResultOfSettingsResult:
      allOf:
        - $ref: '#/components/schemas/MultiValueResult'
        - type: object
          additionalProperties: false
          properties:
            Results:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/SettingsResult'
    MultiValueResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          x-abstract: true
          additionalProperties: false
          properties:
            Results:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/ResultItem'
    SettingsResult:
      allOf:
        - $ref: '#/components/schemas/ResultItem'
        - type: object
          additionalProperties: false
          properties:
            ViewerId:
              type: string
              format: guid
            Settings:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/Setting'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    ResultItem:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: integer
              format: int32
    Setting:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          nullable: true
        Type:
          type: string
          nullable: true
        Value:
          nullable: true
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````